
%define upstream_name    Inline-Python
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 11

Summary:    Easy implementation of Python extensions
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Inline)
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
The 'Inline::Python' module allows you to put Python source code directly
"inline" in a Perl script or module. It sets up an in-process Python
interpreter, runs your code, and then examines Python's symbol table for
things to bind to Perl. The process of interrogating the Python interpreter
for globals only occurs the first time you run your Python code. The
namespace is cached, and subsequent calls use the cached version.

This document describes 'Inline::Python', the Perl package which gives you
access to a Python interpreter. For lack of a better place to keep it, it
also gives you instructions on how to use 'perlmodule', the Python package
which gives you access to the Perl interpreter.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make




%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes
%exclude %{_mandir}/man3/*
%perl_vendorarch/Inline
%perl_vendorarch/auto/Inline


%changelog
* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.29-2pclos2010
- rebuild new python

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com> 0.29-1pclos2009
-update

